org.jCharts.test

## Class StackedBarTestDriver

- java.lang.Object
- - org.jCharts.test.AxisChartTestBase
  - - org.jCharts.test.StackedBarTestDriver

-     public class StackedBarTestDriver
      extends AxisChartTestBase

  This file provides examples of how to create all the different chart types provided by this package.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackedBarTestDriver()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) DataSeries` | `getDataSeries()`
    `static void` | `main(String[] args)`
    `(package private) boolean` | `supportsImageMap()`

    - ### Methods inherited from class org.jCharts.test.AxisChartTestBase

      `axisChartTest, createAxisChartDataSet, createDataSeries`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StackedBarTestDriver

          public StackedBarTestDriver()

  - ### Method Detail

    - #### supportsImageMap

          boolean supportsImageMap()

      Specified by:
        `supportsImageMap` in class `AxisChartTestBase`

    - #### getDataSeries

          DataSeries getDataSeries()
                            throws ChartDataException

      Specified by:
        `getDataSeries` in class `AxisChartTestBase`
      Throws:
        `ChartDataException`

    - #### main

          public static void main(String[] args)
                           throws PropertyException,
                                  ChartDataException

      Parameters:
        `args` -
      Throws:
        `PropertyException`
        `ChartDataException`